For the complete documentation index, see llms.txt. This page is also available as Markdown.

Subscribers

Read the subscribers of a status page.

Get a list of subscribers of a status page

get

Get a list of all the subscribers of a status page

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

Successful response

application/json
successbooleanOptional
get/api/status-page/{status_page_id}/subscribers
GET /api/status-page/{status_page_id}/subscribers HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
  "success": true,
  "data": [
    {
      "_id": "66c1d2e3f4a5b60718293a50",
      "email": "ada@acme.io",
      "confirmed": true,
      "createdAt": "2026-03-13T09:41:00.000Z"
    }
  ]
}

Last updated